> For the complete documentation index, see [llms.txt](https://docs.watchdata.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.watchdata.io/blockchain-apis/tron-api/transactions/easytransferbyprivate.md).

# EasyTransferByPrivate

**Return value**： transaction, including execution results.

{% hint style="danger" %}
**Warning!**&#x20;

Please control risks when using this API. To ensure environmental security, please do not invoke APIs provided by other or invoke this very API on a public network.
{% endhint %}

**Body params**:

* `privateKey` - passPhrase is the private key in hex string format
* `toAddress` - toAddress is the recipient address, converted into a hex string;
* `amount` - amount is the amount of TRX to transfer in SUN.

**Request**

```
curl -X POST  https://tron.api.watchdata.io/wallet/easytransferbyprivate -d '{"privateKey": "D95611A9AF2A2A45359106222ED1AFED48853D9A44DEFF8DC7913F5CBA727366", "toAddress":"4112E621D5577311998708F4D7B9F71F86DAE138B5","amount":10000}'
```

**Response**

```
{
  "result": {
    "code": "CONTRACT_VALIDATE_ERROR",
    "message": "313a313a20457870656374656420227b222e"
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.watchdata.io/blockchain-apis/tron-api/transactions/easytransferbyprivate.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
